Bug 221852 - Reading files on CIFS mount fails: "CIFS VFS: Send error in read = -13"
Reading files on CIFS mount fails: "CIFS VFS: Send error in read = -13"
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-01-08 10:50 EST by Peter Bieringer
Modified: 2008-02-14 16:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-14 16:47:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2007-01-08 10:50:14 EST
+++ This bug was initially created as a clone of Bug #202491 +++

Description of problem:

A share mounted using the CIFS mounts correctly.  Files can be viewed, listed,
created, written to.  Files cannot be read.  Kernel dmesg log reports only:  

"CIFS VFS: Send error in read = -13"

Version-Release number of selected component (if applicable):

$ uname -r

Steps to Reproduce:
1. mount -t cifs // /media/share -o user=user -o password=pass 
2. cd /media/share
3. cat file.txt
Actual results:

$ cat file.txt
cat: two girls.txt: Permission denied

Expected results:

$ cat file.txt
[file contents here...]

Additional info:

CIFS shares browsed other ways (SMB kioslave, gnome-vfs) work normally.

-- Additional comment from koneko.em@gmail.com on 2006-08-14 15:40 EST --
Sorry, when I pasted the "Actual results":

$ cat file.txt
cat: two girls.txt: Permission denied

I accidentally pasted the name of an actual file on my share instead of some
generic file like I was trying to do (a story on my drive).  It's meant to be
"file.txt" like the rest, not just some mistake.

Also, trying to do cat as root makes no difference.

-- Additional comment from snecklifter@gmail.com on 2006-08-28 08:34 EST --
Hey Emily,

I was seeing this also. This is a known bug upstream which is fixed in 3.0.23b.
You can get this here:


however this should really be in the updates repo as I have seen quite a few
people having problems with this and I was banging my head against the wall with
it for a while. I can confirm that downloading, updating and using the above on
the samba server fixes the problem for me.

This is not a samba issue, not a kernel one and I would suggest you change the
component to reflect that above.

-- Additional comment from pb@bieringer.de on 2006-09-28 09:14 EST --
I have here similar error message, but a different scenario and a different result:

Client: FC5 running kernel-2.6.17-1.2187_FC5 (and earlier)
Server: RHEL4 running samba-3.0.10-1.4E.9

Error message on client side:
kernel:  CIFS VFS: Send error in read = -13

Server side shows in debug log:
  error packet at smbd/reply.c(4602) cmd=36 (SMBlockingX) NT_STATUS_RANGE_NOT_LOCKED
  error packet at smbd/reply.c(2212) cmd=46 (SMBreadX) NT_STATUS_FILE_LOCK_CONFLICT

Opening a document with OpenOffice on client via mounted cifs share works. After
modifying the file, during first time on pressing "save", a message appears like
 "can't create backup copy" and upper shown message appears in kernel log. After
pressing "save" button again, no such message appears (and "save" is successfully).

Can one point me to whether it's more a kernel (client side) or samba (server
side) related problem

-- Additional comment from davej@redhat.com on 2006-10-16 16:08 EST --

A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

-- Additional comment from pb@bieringer.de on 2006-10-19 11:28 EST --
Still happen with 2.6.18-1.2200.fc5

-- Additional comment from snecklifter@gmail.com on 2006-10-19 11:36 EST --
I do not see this error any longer. It disappeared once I installed the rpm from
the samba ftp and I am now running the latest samba update from the fedora
repos. Perhaps it is a config file or packaging issue? Would someone like to
test by removing samba and trashing all related files and re-install?

Just a thought.


-- Additional comment from pb@bieringer.de on 2006-10-19 12:05 EST --
Server side is running RHEL4 with samba-3.0.10-1.4E.9
Which samba version do you use? Perhaps we have to file a bug against the samba
version of RHEL4.

-- Additional comment from davej@redhat.com on 2006-10-19 14:03 EST --
This does sound more like a userspace server-side samba daemon problem.
You'll need to open a separate bug for RHEL4 if this does turn out to be the case.

-- Additional comment from pb@bieringer.de on 2006-10-20 03:37 EST --
Hmm, log entries on server side are shonw in 

Would this be enough to open the bug against RHEL4 or are there more debug hints
available to isolate the problem. Are there somewhere newer samba packages
available for RHEL4 for testing?

-- Additional comment from jplans@redhat.com on 2006-10-21 13:23 EST --
 it's not clear to me how to reproduce your problem.
Could you share your smb.conf with us and describe samba versions that work and
doesnt ?

kernel:  CIFS VFS: Send error in read = -13 -> just states the original report
on permission denied.

and for the samba logs I wonder whether cifs tried to unlock ranges that werent
locked previously, given : 

  error packet at smbd/reply.c(4602) cmd=36 (SMBlockingX) NT_STATUS_RANGE_NOT_LOCKED
  error packet at smbd/reply.c(2212) cmd=46 (SMBreadX) NT_STATUS_FILE_LOCK_CONFLICT

So for now, I would suggest to attach to the RHEL4 bug a smb.conf file that
reproduces the problem. and see if you can get some more detailed logs using
"log level = 10" so we can see this happeneing. 10 as the locks are logged at
that level. 

-- Additional comment from pb@bieringer.de on 2006-12-13 11:58 EST --
Created an attachment (id=143535)
smb.conf from RHEL4 as requested in #10

-- Additional comment from pb@bieringer.de on 2006-12-13 11:59 EST --
Created an attachment (id=143536)
anonymized log with log level 10 as requested in #10

-- Additional comment from pb@bieringer.de on 2006-12-13 12:02 EST --
Steps producing the log:

- start samba server
- mount directory on FC6
- open test.odt with openoffice
- change test.odt
- first try to save test.odt -> error message
- second try to save test.odt -> works
- unmount directory on FC6

FC6 kernel tells:
Dec 13 17:25:41 client kernel:  CIFS VFS: Send error in SETFSUnixInfo = -5
Dec 13 17:26:00 client kernel:  CIFS VFS: Send error in read = -13
Dec 13 17:26:00 client last message repeated 7 times

-- Additional comment from snecklifter@gmail.com on 2006-12-13 12:03 EST --
I no longer see this.

+++ end of cloning

Still happen on RHEL4, so I cloned the bug now.
For debug data see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=202491
Comment 1 Jeff Layton 2007-09-17 06:14:35 EDT
The comments above seem to indicate that this problem is due to a server-side
samba bug. Is that the case?

If you're still seeing the problem when mounting a share from a server running a
recent version of samba, can you test a client using the kernels from my people


...and let me know if the problem still exists there?
Comment 2 Peter Bieringer 2007-09-17 15:55:45 EDT
Note that this happen using F7 as client as RHEL4 as server (so vice-versa as
you expected). The error occurs on client side, probably server side is the
cause. So either a new samba version for RHEL4 or a new kernel for F7 are
candidates for testing. So the provided kernel by you for RHEL4 (and suggested
for client) would not help imho, but can give a try.
Comment 3 Jeff Layton 2007-09-17 16:08:05 EDT
Ok, it sounds like this is a samba problem. I'm going to reassign it as such.
Please reassign back to me if it turns out to be something in CIFS.
Comment 4 Simo Sorce 2007-09-18 10:14:41 EDT
Can you please test the new samba version we have in the beta channel?
If it is a samba server bug, that should fix it.

Comment 5 Simo Sorce 2008-02-14 16:15:10 EST
Since the last we have released packages that should have fixed this issue.
Can you confirm/deny the issue is fixed in RHEL4 U6 ?

Comment 6 Peter Bieringer 2008-02-14 16:23:48 EST
I have no longer access to the system (neither client nor server) - sorry. In
addition I'm unsure that I have time to reproduce it in another environment.
Comment 7 Simo Sorce 2008-02-14 16:47:06 EST
In this case I'll mark the bug as closed, I am confident we do not have this
problem in the latest packages.

Note You need to log in before you can comment on or make changes to this bug.